/*
 *  NetworkAccessors.h
 *  TI Connect X CommMgr
 *
 *  Created by Stephen L. Reid on Tue Oct 29 2002.
 *  Copyright (c) 2002-2003 Texas Instruments Incorporated. All rights reserved.
 *
 */

#include <CoreFoundation/CoreFoundation.h>
#include <CoreServices/CoreServices.h>
#include <Carbon/Carbon.h>
#include <pthread.h>
#include <IOKit/IOKitLib.h>
#include <IOKit/IOMessage.h>
#include <IOKit/IOCFPlugIn.h>
#include <IOKit/usb/IOUSBLib.h>
#include "NavigatorNetwork.h"
#include "TIUSB_DataDefinitions.h"
#include "TI_Errors.h"

UInt8 * 	NavigatorNetworkGetTICommunicationsBuffer( Boolean inDirection, void *inPB );
CFIndex		NavigatorNetworkGetTICommunicationsSendLength( void *inPB );
void 		NavigatorNetworkSetTICommunicationsSendLength( void *inPB, long length );
UInt8 * 	NavigatorNetworkGetTICommunicationsBuffer( Boolean inDirection, void *inPB );
void 		NavigatorNetworkDeviceRemoved( void *inPB );
